/*-
 * ~~~~~~licensing~~~~~~
 * system-commons
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.common.util;

import org.apache.camel.Exchange;
import org.apache.camel.spi.HeaderFilterStrategy;

import java.util.HashSet;
import java.util.Set;

public class SimpleOutHeaderFilterStrategy implements HeaderFilterStrategy {

    private Set<String> outFilter;

    public void setOutFilter(Set<String> value) {
        if (value == null) {
            outFilter = new HashSet<>();
        } else {
            outFilter = value;
        }
    }

    @Override
    public boolean applyFilterToCamelHeaders(String headerName, Object headerValue, Exchange exchange) {
        return !outFilter.contains(headerName);
    }

    @Override
    public boolean applyFilterToExternalHeaders(String headerName, Object headerValue, Exchange exchange) {
        return false;
    }

}
